Qwt User's Guide: QwtSplineG1 Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtSplineG1 Class Reference

Base class for spline interpolations providing a first order geometric continuity ( G1 ) between adjoining curves. More...

`#include <qwt_spline.h>`

Inheritance diagram for QwtSplineG1:

## Public Member Functions
| QwtSplineG1 ()
| Constructor.
virtual | ~QwtSplineG1 ()
| Destructor.
Public Member Functions inherited from QwtSplineInterpolating
| QwtSplineInterpolating ()
| Constructor.
virtual | ~QwtSplineInterpolating ()
| Destructor.
virtual QPolygonF | equidistantPolygon (const QPolygonF &, double distance, bool withNodes) const
| Find an interpolated polygon with "equidistant" points.
virtual QPolygonF | polygon (const QPolygonF &, double tolerance) const override
| Interpolate a curve by a polygon.
virtual QPainterPath | painterPath (const QPolygonF &) const override
| Interpolate a curve with Bezier curves.
virtual QVector< QLineF > | bezierControlLines (const QPolygonF &) const =0
| Interpolate a curve with Bezier curves.
Public Member Functions inherited from QwtSpline
| QwtSpline ()
| Constructor.
virtual | ~QwtSpline ()
| Destructor.
void | setParametrization (int type)
void | setParametrization (QwtSplineParametrization *)
const QwtSplineParametrization * | parametrization () const
void | setBoundaryType (BoundaryType)
BoundaryType | boundaryType () const
void | setBoundaryValue (BoundaryPosition, double value)
| Define the boundary value.
double | boundaryValue (BoundaryPosition) const
void | setBoundaryCondition (BoundaryPosition, int condition)
| Define the condition for an endpoint of the spline.
int | boundaryCondition (BoundaryPosition) const
void | setBoundaryConditions (int condition, double valueBegin=0.0, double valueEnd=0.0)
| Define the condition at the endpoints of a spline.
virtual uint | locality () const

## Additional Inherited Members
Public Types inherited from QwtSpline
enum | BoundaryType { ConditionalBoundaries , PeriodicPolygon , ClosedPolygon }
enum | BoundaryPosition { AtBeginning , AtEnd }
enum | BoundaryCondition { Clamped1 , Clamped2 , Clamped3 , LinearRunout }
| Boundary condition. More...

## Detailed Description

Base class for spline interpolations providing a first order geometric continuity ( G1 ) between adjoining curves.

Definition at line 216 of file qwt_spline.h.

## Constructor & Destructor Documentation

## ◆ QwtSplineG1()

QwtSplineG1::QwtSplineG1 | ( |  | ) |

Constructor.

Definition at line 944 of file qwt_spline.cpp.

## ◆ ~QwtSplineG1()

QwtSplineG1::~QwtSplineG1 | ( |  | ) |
| virtual

Destructor.

Definition at line 949 of file qwt_spline.cpp.